s
.. currentmodule:: Base


Modules
-------

.. module:: Collections

   UNDOCUMENTED (may not appear in helpdb.jl)

.. module:: Meta

   UNDOCUMENTED (may not appear in helpdb.jl)

.. module:: Operators

   UNDOCUMENTED (may not appear in helpdb.jl)

.. module:: Order

   UNDOCUMENTED (may not appear in helpdb.jl)

.. module:: Pkg

   UNDOCUMENTED (may not appear in helpdb.jl)

.. module:: Pkg2

   UNDOCUMENTED (may not appear in helpdb.jl)

.. module:: Profile

   UNDOCUMENTED (may not appear in helpdb.jl)

.. module:: Sys

   UNDOCUMENTED (may not appear in helpdb.jl)

.. module:: Test

   UNDOCUMENTED (may not appear in helpdb.jl)


Types
-----


Ccall types
-----------


Exceptions
----------


Global constants and variables
------------------------------


Mathematical constants
----------------------


Operators
---------



scalar math
-----------


specfun
-------


arrays
------


linear algebra
--------------


sparse
------


bitarrays
---------


dequeues
--------


collections
-----------

strings and text output
-----------------------


random numbers
--------------

bigfloat & precision
--------------------

statistics
----------


signal processing
-----------------


numerical integration
---------------------


iteration
---------


object identity and equality
----------------------------


tasks and conditions
--------------------


time
----


errors
------


types
-----


syntax
------


help and reflection
-------------------


loading source files
--------------------


RTS internals
-------------

misc
----
JLDOWNLOAD_PREFER_MIRROR environment variable


IP address stuff
----------------


I/O and events
--------------


multiprocessing
---------------


distributed arrays
------------------


paths and file names
--------------------


filesystem operations
---------------------


external processes ## TODO: whittle down these exports.
-------------------------------------------------------


C interface
-----------


Macros
------
